Description

The double/float fields (defined in the Field Manager) appear always with precision 3 in tables, even if they're stored right. The only
way to understand the "real" precision of double fields is to open the dbf file in OOo Calc actually.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2592: Add a ... Closed 06/24/2014
Related to Application: gvSIG desktop - gvSIG feature requests # 2686: Option... Closed 07/17/2014

History
#1 - 07/21/2014 11:54 AM - Antonio Falciano

The only way to read the precision of double fields in gvSIG (that I have forgotten to mention before) is to use the "Fields manager" when the table is in
edition mode, while it's not possible in the Table properties (#2592).

The format of double fields and indirectly the precision shown in table documents seems to follow a "#,###.###" pattern (#2374) and this could lead to
errors in the reading or interpretation of the cells values because of apparent truncation and rounding. Instead, a classical representation of double
values is usually the best choice (#2686).

#2 - 07/28/2014 10:43 AM - Joaquín  del Cerro Murciano
- Severity changed from Minor to Critical
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano

#3 - 07/28/2014 10:44 AM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #2592: Add a precision column in the Table properties added

#4 - 07/28/2014 10:45 AM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #2686: Option to skip the decimal format inherited by the current locale added

#5 - 09/08/2014 10:00 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2246-testing

#6 - 09/14/2014 09:55 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
#7 - 09/15/2014 03:31 AM - Álvaro Anguix
- Status changed from Fixed to Closed
